Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 51)
@@ -436,15 +736,85 @@
             }
             finally
             {
-                pmDB.close();
-                pmDB = null;
+                // 表示画面設定
+                DisplayScreenSetup();
 
-                frm.Dispose();
-                frm = null;
+                // DB使用終了
+                pmDB.close(); pmDB = null;
+                secDB.close(); secDB = null;
+                execDB.close(); execDB = null;
+
+                // フォーム破棄
+                frm.Dispose(); frm = null;
             }
         }
         #endregion
 
+        #region システム管理者のログイン情報セット
+        /// <summary>
+        /// システム管理者のログイン情報セット
+        /// </summary>
+        private void InitAdministrator()
+        {
+            try
+            {
+                // ----- ログイン情報セット
+                CommonMotions.LoginUserData.PersonCode = CommonDefine.AdminCode;
+                CommonMotions.LoginUserData.PersonName = CommonDefine.AdminUser;
+                CommonMotions.LoginUserData.PassWord = CommonDefine.AdminPass;
+                CommonMotions.LoginUserData.SecCode = CommonDefine.AdminSecurityManagement;
+                CommonMotions.LoginUserData.SecurityManagement = CommonDefine.AdminSecurityManagement;
+
+                // ----- セキュリティデータセット
+                // 保護区分番号
+                CommonMotions.LoginUserSecurity.SecCode = CommonDefine.AdminSecurityManagement;
+                // 表示順
+                CommonMotions.LoginUserSecurity.DisplayOrder = 0;
+                // 保護区分名称
+                CommonMotions.LoginUserSecurity.SecName = "システム管理者";
+                // 保護区分ランク
+                CommonMotions.LoginUserSecurity.SecRank = CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.SpecialAuthority].Key;
+                // 保護区分範囲
+                CommonMotions.LoginUserSecurity.SecRange = CommonDefine.SecurityRangeList[(int)CommonDefine.SecurityRangePos.AllPath].Key;
+                // 選択背景色
+                CommonMotions.LoginUserSecurity.SelectBackColor = String.Format("0x{0:X2}{1:X2}{2:X2}", Color.White.R, Color.White.G, Color.White.B);
+
+                // ----- 起動データ取得
+                CommonMotions.LoginUserProcExe.Clear();
+                // 起動処理一覧表示
+                foreach (KeyValuePair<int, string> wrkValue in ClsExcute.ProcessExecuteName)
+                {
+                    if (wrkValue.Key == 0) continue;
+                    ProcessExcute exeRec = new ProcessExcute();
+                    // 保護区分番号
+                    exeRec.SecCode = CommonDefine.AdminSecurityManagement;
+                    // 起動処理番号
+                    exeRec.ExecCode = wrkValue.Key;
+                    // 編集フラグ
+                    exeRec.EditFlg = (int)CommonDefine.ProcessDataEdit.Edit;
+                    CommonMotions.LoginUserProcExe.Add(exeRec);
+                }
+                // マスタメンテナンス一覧表示
+                foreach (KeyValuePair<int, string> wrkValue in ClsExcute.MaintenanceExecuteName)
+                {
+                    if (wrkValue.Key == 0) continue;
+                    ProcessExcute exeRec = new ProcessExcute();
+                    // 保護区分番号
+                    exeRec.SecCode = CommonDefine.AdminSecurityManagement;
+                    // 起動処理番号
+                    exeRec.ExecCode = wrkValue.Key;
+                    // 編集フラグ
+                    exeRec.EditFlg = (int)CommonDefine.ProcessDataEdit.Edit;
+                    CommonMotions.LoginUserProcExe.Add(exeRec);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 数字選択ボックス初期営業期セット
         /// <summary>
         /// 数字選択ボックス初期営業期セット
@@ -492,11 +862,14 @@
                 stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求準備")).Key);            // 9
                 stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求完了")).Key);           // 10
 
+                //string strSQL = "SELECT TO_CHAR(ConstructionCompletionDate,'YYYY/MM'), count(*) FROM CONSTRUCTIONBASEINFO";
                 string strSQL = "SELECT DATE_FORMAT(ConstructionCompletionDate,'%Y/%m'), count(*) FROM CONSTRUCTIONBASEINFO";
                 strSQL += CreateListSQLFluctuation();
                 strSQL += CreateListSQL(stat);
-                //strSQL += string.Format(" And DATE_FORMAT('{0}', 'yyyy/dd/mm') <= ConstructionCompletionDate", StartDate.ToShortDateString());
+                //strSQL += string.Format(" And TO_DATE('{0}', 'yyyy/dd/mm') <= ConstructionCompletionDate", StartDate.ToShortDateString());
                 strSQL += string.Format(" And CONSTRUCTIONPERIOD = {0}", numUDCompletion.Value);
+                //strSQL += " GROUP BY TO_CHAR(ConstructionCompletionDate,'YYYY/MM')";
+                //strSQL += " Order By TO_CHAR(ConstructionCompletionDate,'YYYY/MM') Desc";
                 strSQL += " GROUP BY DATE_FORMAT(ConstructionCompletionDate,'%Y/%m')";
                 strSQL += " Order By DATE_FORMAT(ConstructionCompletionDate,'%Y/%m') Desc";
                 ArrayList arList = new ArrayList();
@@ -640,56 +1013,56 @@
                 m_FormWidthSize = this.Width;
 
                 // グリッドの情報を取得する(タブ数分確保する)
-                int AllTabCount = Enum.GetNames(typeof(FrmMenuTabNameEnum)).Length;
+                int AllTabCount = Enum.GetNames(typeof(TabNameEnum)).Length;
                 m_Alldgv = new DataGridView[AllTabCount];
                 m_GridWidthSize = new int[AllTabCount];
 
-                for (int i = 0; i < AllTabCount; i++) m_Alldgv[i] = null;
-                for (int i = 0; i < AllTabCount; i++) m_GridWidthSize[i] = -1;
+                Array.Clear(m_Alldgv, 0, m_Alldgv.Length);
+                Array.Clear(m_GridWidthSize, 0, m_GridWidthSize.Length);
 
                 int TabPoint = 0;
                 // 1:秘書からの連絡
-                TabPoint = (int)FrmMenuTabNameEnum.BusinessMessage - 1;
+                TabPoint = (int)TabNameEnum.BusinessMessage - 1;
                 m_GridWidthSize[TabPoint] = dgvBusinessMessage.Width;
                 m_Alldgv[TabPoint] = dgvBusinessMessage;
                 // 2:社内掲示板
-                TabPoint = (int)FrmMenuTabNameEnum.MessageBoard - 1;
+                TabPoint = (int)TabNameEnum.MessageBoard - 1;
                 m_GridWidthSize[TabPoint] = dgvMessageBoard.Width;
                 m_Alldgv[TabPoint] = dgvMessageBoard;
                 // 3:承認一覧
-                TabPoint = (int)FrmMenuTabNameEnum.DocumentApproval - 1;
+                TabPoint = (int)TabNameEnum.DocumentApproval - 1;
                 m_GridWidthSize[TabPoint] = dgvApproval.Width;
                 m_Alldgv[TabPoint] = dgvApproval;
                 // 4:工事案件
-                TabPoint = (int)FrmMenuTabNameEnum.SalesInProjects - 1;
+                TabPoint = (int)TabNameEnum.SalesInProjects - 1;
                 m_GridWidthSize[TabPoint] = dgvSalesInProjects.Width;
                 m_Alldgv[TabPoint] = dgvSalesInProjects;
                 // 5:入札案件
-                TabPoint = (int)FrmMenuTabNameEnum.Tenders - 1;
+                TabPoint = (int)TabNameEnum.Tenders - 1;
                 m_GridWidthSize[TabPoint] = dgvTenders.Width;
                 m_Alldgv[TabPoint] = dgvTenders;
                 // 6:予算取り案件
-                TabPoint = (int)FrmMenuTabNameEnum.BudgetUpProjects - 1;
+                TabPoint = (int)TabNameEnum.BudgetUpProjects - 1;
                 m_GridWidthSize[TabPoint] = dgvBudgetUp.Width;
                 m_Alldgv[TabPoint] = dgvBudgetUp;
                 // 7:受注案件
-                TabPoint = (int)FrmMenuTabNameEnum.ConstructionProjects - 1;
+                TabPoint = (int)TabNameEnum.ConstructionProjects - 1;
                 m_GridWidthSize[TabPoint] = dgvConstructionProjects.Width;
                 m_Alldgv[TabPoint] = dgvConstructionProjects;
                 // 8:非受注工事
-                TabPoint = (int)FrmMenuTabNameEnum.NonOrders - 1;
+                TabPoint = (int)TabNameEnum.NonOrders - 1;
                 m_GridWidthSize[TabPoint] = dgvNonOrders.Width;
                 m_Alldgv[TabPoint] = dgvNonOrders;
                 // 9:完了工事
-                TabPoint = (int)FrmMenuTabNameEnum.CompletionOfConstruction - 1;
+                TabPoint = (int)TabNameEnum.CompletionOfConstruction - 1;
                 m_GridWidthSize[TabPoint] = dgvCompletionOfConstruction.Width;
                 m_Alldgv[TabPoint] = dgvCompletionOfConstruction;
                 // 10:行動予定
-                TabPoint = (int)FrmMenuTabNameEnum.ActionSchedule - 1;
+                TabPoint = (int)TabNameEnum.ActionSchedule - 1;
                 m_GridWidthSize[TabPoint] = dgvActionSchedule.Width;
                 m_Alldgv[TabPoint] = dgvActionSchedule;
                 // 11:人員配置
-                TabPoint = (int)FrmMenuTabNameEnum.StaffAssignment - 1;
+                TabPoint = (int)TabNameEnum.StaffAssignment - 1;
                 m_GridWidthSize[TabPoint] = dgvStaffAssignment.Width;
                 m_Alldgv[TabPoint] = dgvStaffAssignment;
                 // ----- 以下はグリッド無・未定
@@ -754,9 +1127,79 @@
         }
         #endregion
 
+        #region 未承認データ確認
+        /// <summary>
+        /// 未承認データ確認
+        /// </summary>
+        /// <returns></returns>
+        private void CheckApprovalData()
+        {
+            IOProcessApproval AppDB = new IOProcessApproval();
+            try
+            {
+                string strSQL = "SELECT count(*) FROM PROCESSAPPROVAL A, PERSONINCHARGEMASTER B, APPROVALMASTER C";
+                strSQL += string.Format(" WHERE (A.SEQNO = 1 AND A.APPROVALSTATUS <> {0})", (int)CommonDefine.ApprovalStatus.Approval);
+                strSQL += " AND NOT EXISTS (SELECT * FROM PROCESSAPPROVAL D";
+                strSQL += " WHERE D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND D.APPROVALCODE = A.APPROVALCODE AND D.ORDERNO = A.ORDERNO AND D.SEQNO <> 1";
+                strSQL += string.Format(" AND D.PERSONCODE = {0} AND D.APPROVALSTATUS = {1})", CommonMotions.LoginUserData.PersonCode, (int)CommonDefine.ApprovalStatus.Approval);
+                strSQL += " AND B.PERSONCODE = A.PERSONCODE";
+                strSQL += " AND (C.APPROVALCODE = A.APPROVALCODE AND C.DEPARTMENTCODE = B.DEPARTMENTCODE)";
+                strSQL += string.Format(" AND C.APPROVALPERSON = {0}", CommonMotions.LoginUserData.PersonCode);
+                ArrayList arList = new ArrayList();
+                if (!AppDB.ExecuteReader(strSQL, ref arList)) return;
+
+                object[] objRec = (object[])arList[0];
+                if (CommonMotions.cnvInt(objRec[0]) == 0) return;
+
+                // 承認タブへ移動する
+                tabMenu.SelectedIndex = (int)MenuTabAssign.DocumentApproval;
+
+                MessageBox.Show("未承認のデータがあります、確認してください。", "承認確認", MessageBoxButtons.OK, MessageBoxIcon.Information);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                AppDB.close(); AppDB = null;
+            }
+        }
+        #endregion
+
+        #region 車両選択画面起動
+        /// <summary>
+        /// 車両選択画面起動
+        /// </summary>
+        /// <param name="VehicleCode"></param>
+        /// <returns></returns>
+        private bool VehicleCodeSelector(ref int VehicleCode)
+        {
+            FrmVehicleSelector frm = new FrmVehicleSelector();
+
+            try
+            {
+                frm.ShowDialog();
+                if (frm.EndButton == DialogResult.Cancel) return false;
+
+                VehicleCode = frm.VehicleCode;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
         #region メニュータブ表示関連処理
         // *---------------- メニュータブ表示関連処理
-
         #region 掲示板処理関連
         #region メッセージ確認・作成
         /// <summary>
@@ -767,35 +1210,40 @@
             try
             {
                 DataGridViewRow wrkRow = dgvMessageBoard.CurrentRow;
-                if (Gridcnt == (int)FrmMenuTabNameEnum.BusinessMessage) wrkRow = dgvBusinessMessage.CurrentRow;
+                if (Gridcnt == (int)TabNameEnum.BusinessMessage) wrkRow = dgvBusinessMessage.CurrentRow;
 
                 int RecoadNo = 0;
                 int BuranchNo = 0;
                 int WriteingCode = 0;
 
-                // 行をクリックした場合はそのメッセージデータを取得する
-                if (bLineClick && !CommonMotions.chkCellBlank(wrkRow.Cells[(int)MessageGridCount.FromName].Value))
+                int NowPoint = 0;
+                int ExecProcNo = 0;
+                if (!bLineClick)
                 {
-                    // 掲示板メッセージ入力
-                    RecoadNo = CommonMotions.cnvInt(wrkRow.Cells[(int)MessageGridCount.RecordNumber].Value);
-                    BuranchNo = CommonMotions.cnvInt(wrkRow.Cells[(int)MessageGridCount.BranchNumber].Value);
-                    WriteingCode = CommonMotions.cnvInt(wrkRow.Cells[(int)MessageGridCount.Writer].Value);
+                    ExecProcNo = (int)ClsExcute.SubFormExecuteNo.MessageWriter;
+                }
+                else
+                {
+                    // 行をクリックした場合はそのメッセージデータを取得する
+                    if (!CommonMotions.chkCellBlank(wrkRow.Cells[(int)MessageGridCount.FromName].Value))
+                    {
+                        // 掲示板メッセージ入力
+                        RecoadNo = CommonMotions.cnvInt(wrkRow.Cells[(int)MessageGridCount.RecordNumber].Value);
+                        BuranchNo = CommonMotions.cnvInt(wrkRow.Cells[(int)MessageGridCount.BranchNumber].Value);
+                        WriteingCode = CommonMotions.cnvInt(wrkRow.Cells[(int)MessageGridCount.Writer].Value);
 
-                    // 担当者は返信・編集以外メッセージを見ることはできない
-                    if (WriteingCode != CommonMotions.LoginUserData.PersonCode)
-                    {
-                        // 所属長以上は全てのメッセージを見ることができる
-                        if (!ClsMessageBoradAccess.MessageAccessPermission(RecoadNo, BuranchNo)) return false;
+                        // 担当者は返信・編集以外メッセージを見ることはできない
+                        if (WriteingCode != CommonMotions.LoginUserData.PersonCode)
+                        {
+                            // 所属長以上は全てのメッセージを見ることができる
+                            if (!ClsMessageBoradAccess.MessagePermission(RecoadNo, BuranchNo)) return false;
+                        }
                     }
+                    ExecProcNo = (int)ClsExcute.SubFormExecuteNo.MessageReader;
                 }
 
-                int NowPoint = 0;
-                if (!bLineClick)
-                    // 起動プロセス設定
-                    NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.MessageWriter);
-                else
-                    // 起動プロセス設定
-                    NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.MessageReader);
+                // 起動プロセス設定
+                NowPoint = ClsExcute.NextProcess(ExecProcNo);
 
                 // パラメータセット
                 ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(RecoadNo);
@@ -825,11 +1273,11 @@
             try
             {
                 DataGridView dgv = dgvMessageBoard;
-                if (exeflg != (int)FrmMenuTabNameEnum.MessageBoard)
+                if (exeflg != (int)TabNameEnum.MessageBoard)
                     dgv = dgvBusinessMessage;
 
                 int cnt = 0;
-                if (exeflg == (int)FrmMenuTabNameEnum.MessageBoard)
+                if (exeflg == (int)TabNameEnum.MessageBoard)
                 {
                     cnt = dgv.Rows.Add(wrkRow.RecordNumber,
                                         wrkRow.BranchNumber,
@@ -893,18 +1341,18 @@
             DataGridView dgv = dgvMessageBoard;
             try
             {
-                TabPage tabpage = tabPage7;
+                TabPage tabpage = tabPage2;
                 ProgressBar prgber = UpDateProgress;
-                if (exeflg != (int)FrmMenuTabNameEnum.MessageBoard)
+                if (exeflg != (int)TabNameEnum.MessageBoard)
                 {
                     dgv = dgvBusinessMessage;
                     prgber = BusinessProgress;
-                    tabpage = tabPage20;
+                    tabpage = tabPage1;
                 }
 
                 // 表示先のメッセージを検索する
                 string strSQL = string.Empty;
-                if (exeflg == (int)FrmMenuTabNameEnum.MessageBoard)
+                if (exeflg == (int)TabNameEnum.MessageBoard)
                 {   // 掲示板データ
                     strSQL = "SELECT A.*, B.TONAME FROM MESSAGEBOARDDATA A, MESSAGEBOARDTERGET B";
                     strSQL += " Where A.WritingDate > DATE_ADD(NOW(), INTERVAL -1 MONTH) And A.MessageFlag = 0";
@@ -914,7 +1362,7 @@
                 else
                 {   // 秘書からの連絡
                     strSQL = "SELECT A.*, B.TONAME FROM MESSAGEBOARDDATA A, MESSAGEBOARDTERGET B";
-                    strSQL += " Where A.WritingDate > (NOW() - 10) And A.MessageFlag = 1";
+                    strSQL += " Where A.WritingDate >  DATE_ADD(NOW(), INTERVAL -10 DAY) And A.MessageFlag = 1";
                     strSQL += " AND B.RECORDNUMBER = A.RECORDNUMBER AND B.BRANCHNUMBER = A.BRANCHNUMBER";
                     strSQL += " Order By A.WritingDate Desc, A.MessageTitile Asc, B.SeqNum ASC";
                 }
@@ -936,11 +1384,11 @@
                 object[] firstRec = (object[])mbdData[0];
 
                 // 掲示板データフィールド数取得
-                int ToNameCnt = Enum.GetNames(typeof(IOMessageBoardData.NameColumn)).Length;
+                int ToNameCnt = Enum.GetNames(typeof(IOMessageBoardData.ColumnCnt)).Length;
 
                 // １件目のデータ取得
-                int BreakRecordNo = CommonMotions.cnvInt(firstRec[(int)IOMessageBoardData.NameColumn.RecordNumber]);
-                int BreakBranchNo = CommonMotions.cnvInt(firstRec[(int)IOMessageBoardData.NameColumn.BranchNumber]);
+                int BreakRecordNo = CommonMotions.cnvInt(firstRec[(int)IOMessageBoardData.ColumnCnt.RecordNumber]);
+                int BreakBranchNo = CommonMotions.cnvInt(firstRec[(int)IOMessageBoardData.ColumnCnt.BranchNumber]);
                 MessageBoardData wrkRow = new MessageBoardData();
                 mbdDB.Reader2Struct(firstRec, ref wrkRow);
                 string TergetName = string.Empty;
@@ -948,8 +1396,8 @@
                 foreach (object[] DataRec in mbdData)
                 {
                     // 同じメッセージならば相手先を結合する
-                    int NowRecordNo = CommonMotions.cnvInt(DataRec[(int)IOMessageBoardData.NameColumn.RecordNumber]);
-                    int NowBranchNo = CommonMotions.cnvInt(DataRec[(int)IOMessageBoardData.NameColumn.BranchNumber]);
+                    int NowRecordNo = CommonMotions.cnvInt(DataRec[(int)IOMessageBoardData.ColumnCnt.RecordNumber]);
+                    int NowBranchNo = CommonMotions.cnvInt(DataRec[(int)IOMessageBoardData.ColumnCnt.BranchNumber]);
                     if (BreakRecordNo == NowRecordNo && BreakBranchNo == NowBranchNo)
                     {
                         if (TergetName.Length != 0) TergetName += ",";
@@ -1023,17 +1471,12 @@
             IOProcessApproval paDB = new IOProcessApproval();
             try
             {
-                string strLimitedSQL = string.Empty;
-                if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
-                {
-                    // 一般ユーザーは自分の承認のみ表示する
-                    strLimitedSQL += string.Format(" And A.PersonCode = {0} ", CommonMotions.LoginUserData.PersonCode);
-                }
                 // ----- 工事案件毎に最大の承認を取得する
                 int iStatus = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求完了")).Key;
                 // 完了工事以外の申請中と承認後7日間のデータを対象とする
                 string strSQL = "SELECT";
                 strSQL += " A.APPROVALCODE,";
+                strSQL += " A.ORDERNO,";
                 strSQL += " A.CONSTRUCTIONCODE,";
                 strSQL += " A.PETITIONAPPROVALDATE,";
                 strSQL += " A.EntryDate,";
@@ -1050,7 +1493,7 @@
 
                  strSQL += " FROM PROCESSAPPROVAL A INNER JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = A.PERSONCODE";
                  strSQL += " LEFT JOIN APPROVALMASTER E ON E.APPROVALCODE = A.APPROVALCODE AND E.DEPARTMENTCODE = C.DEPARTMENTCODE";
-                 strSQL += " LEFT JOIN PROCESSAPPROVAL G ON G.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND G.APPROVALCODE = A.APPROVALCODE AND G.PERSONCODE = E.APPROVALPERSON AND G.SEQNO != 1";
+                 strSQL += " LEFT JOIN PROCESSAPPROVAL G ON G.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND G.APPROVALCODE = A.APPROVALCODE AND G.ORDERNO = A.ORDERNO AND G.PERSONCODE = E.APPROVALPERSON AND G.SEQNO != 1";
                  strSQL += " , CONSTRUCTIONBASEINFO B, CONSTRUCTIONBASEINFODETAIL D, PERSONINCHARGEMASTER F";
                 
                 strSQL += string.Format(" WHERE ((A.SEQNO = 1 AND A.ApprovalStatus != {0})", (int)CommonDefine.ApprovalStatus.Approval);
@@ -1063,10 +1506,28 @@
                 strSQL += string.Format(" AND D.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
                 strSQL += " AND F.PERSONCODE = E.APPROVALPERSON";
 
+                //// 新セキュリティデータ対応済みかを確認する
+                //if (CommonMotions.LoginUserData.SecCode == 0)
+                //{
+                //    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
+                //    {
+                //        // 一般ユーザーは自分の承認のみ表示する
+                //        strSQL += string.Format(" And A.PersonCode = {0} ", CommonMotions.LoginUserData.PersonCode);
+                //    }
+                //}
+                //else
+                //{
+                //    if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key)
+                //    {
+                //        // 一般ユーザーは自分の承認のみ表示する
+                //        strSQL += string.Format(" And A.PersonCode = {0} ", CommonMotions.LoginUserData.PersonCode);
+                //    }
+                //}
+
                 strSQL += " ORDER BY A.APPROVALCODE DESC, A.PETITIONAPPROVALDATE DESC, A.PERSONCODE ASC, E.DISPLAYORDER DESC";
                 if (!paDB.ExecuteReader(strSQL, ref arData)) return false;
 
-                if (arData.Count == 0) return false;
+                //if (arData.Count == 0) return false;
 
                 return true;
             }
@@ -1093,6 +1554,10 @@
             /// </summary>
             ApprovalCode = 0,
             /// <summary>
+            /// 受付番号
+            /// </summary>
+            OrderNo,
+            /// <summary>
             /// 工事番号
             /// </summary>
             ConstructionCode,
@@ -1161,7 +1626,7 @@
                 ProgressDApproval.Visible = true;
                 ProgressDApproval.Minimum = 0;
                 ProgressDApproval.Maximum = arData.Count;
-                tabPage21.Update();
+                tabPage3.Update();
 
                 // 行を作成する
                 DataGridViewRow[] list = new DataGridViewRow[arData.Count];
@@ -1169,15 +1634,18 @@
                 int ino = 1;
                 int iLineCnt = 0;
                 int BreakCode = 0;
-                
+
+                if (arData.Count == 0) goto BlankLien;
                 // ため込み処理領域初期化
                 ArrayList BufferList = new ArrayList();
                 object[] objfirst = (object[])arData[0];
+                int BreakApprovalCode = CommonMotions.cnvInt(objfirst[(int)ApprovalDataList.ApprovalCode]);
                 int BreakConstructionCode = CommonMotions.cnvInt(objfirst[(int)ApprovalDataList.ConstructionCode]);
 
                 foreach (object[] objLoopRec in arData)
                 {
-                    if (BreakConstructionCode == CommonMotions.cnvInt(objLoopRec[(int)ApprovalDataList.ConstructionCode]))
+                    if (BreakApprovalCode == CommonMotions.cnvInt(objLoopRec[(int)ApprovalDataList.ApprovalCode])
+                        && BreakConstructionCode == CommonMotions.cnvInt(objLoopRec[(int)ApprovalDataList.ConstructionCode]))
                     {
                         BufferList.Add(objLoopRec);
                         continue;
@@ -1187,6 +1655,7 @@
                     DispDocumentApprovalRowProc(ino, BufferList, ref BreakCode);
 
                     // ブレイクキー更新
+                    BreakApprovalCode = CommonMotions.cnvInt(objLoopRec[(int)ApprovalDataList.ApprovalCode]);
                     BreakConstructionCode = CommonMotions.cnvInt(objLoopRec[(int)ApprovalDataList.ConstructionCode]);
                     BufferList.Clear();
                     BufferList.Add(objLoopRec);
@@ -1205,7 +1674,8 @@
                     DispDocumentApprovalRowProc(ino, BufferList, ref BreakCode);
                 }
 
-
+                BlankLien:
+                
                 dgv.ResumeLayout();
 
                 // ProgressBarの値を変更する
@@ -1214,8 +1684,8 @@
                 ProgressDApproval.Visible = false;
 
                 // 読込時データカウント取得
-                if (CommonDefine.s_MaxInitLineCount > arData.Count)
-                    dgv.RowCount += (CommonDefine.s_MaxInitLineCount - arData.Count);
+                if (CommonDefine.s_MaxInitLineCount > dgv.RowCount)
+                    dgv.RowCount += (CommonDefine.s_MaxInitLineCount - dgv.RowCount);
 
                 // データが多くなればソートできる
                 foreach (DataGridViewColumn wrkCol in dgv.Columns)
